Results 1 to 5 of 5

Thread: koffice2-krita dependency problem

  1. #1
    Join Date
    Jun 2008
    Location
    Norwich, UK
    Posts
    215

    Default koffice2-krita dependency problem

    I'm trying to install krita from koffice2 on openSUSE 11.0 running KDE 4.1 but I hit a dependency problem with krita wanting libexiv2.so.4.

    As far as I know I've got the correct repositories set up but I don't get any better than libexiv2.so.2

    Where can I get an rpm for the missing library?

    Alan

  2. #2
    Join Date
    Jun 2008
    Location
    near SUSE Headquarter
    Posts
    237

    Default Re: koffice2-krita dependency problem

    If you run KDE 4.1 build service packages than use koffice2 from KDE:KDE4:Factory:Extra-Apps

  3. #3
    Join Date
    Jun 2008
    Location
    Norwich, UK
    Posts
    215

    Default Re: koffice2-krita dependency problem

    I've got
    /repositories/KDE:/KDE4:/Factory:/Extra-Apps/openSUSE_Factory
    which has 1.9.95.10-21.1
    do you mean I should have
    /repositories/KDE:/KDE4:/Factory:/Extra-Apps/openSUSE_11.0
    which has 1.9.95.10-21.2

    Can I use both of these repositories simultaneously?

  4. #4
    Join Date
    Jun 2008
    Location
    Norwich, UK
    Posts
    215

    Default Re: koffice2-krita dependency problem

    Looks like I should only have the openSUSE_11.0 as a repository - krita now installs

  5. #5

    Default Re: koffice2-krita dependency problem

    Quote Originally Posted by fudokai View Post
    I've got
    /repositories/KDE:/KDE4:/Factory:/Extra-Apps/openSUSE_Factory
    which has 1.9.95.10-21.1
    do you mean I should have
    /repositories/KDE:/KDE4:/Factory:/Extra-Apps/openSUSE_11.0
    which has 1.9.95.10-21.2

    Can I use both of these repositories simultaneously?
    They are two version of a *single* repository. The first one is the version for openSUSE Factory (development version) and the second one is the version for openSUSE 11.0.

    If you are using Factory use the first one, if you are using 11.0 use the second one.
    All Build Service repos are the same, the last part of the URL specifies the openSUSE version.
    NEVER mix repos from different openSUSE versions.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •